import { defineStore } from "pinia";

const useHomeStore = defineStore('Home', {
    state: () => {
        return {
            Doors: Array<any>(
                {
                    name: 'Wrought Iron Doors',
                    top: { detail: new URL("../../assets/img/Door/01/01.jpg", import.meta.url).href, name: 'Wrought Iron Doors' },
                    footer: { detail: new URL("../../assets/img/Door/01/02.jpg", import.meta.url).href, name: 'Wrought Iron Doors' },
                    footer1: { detail: new URL("../../assets/img/Door/01/03.jpg", import.meta.url).href, name: 'Wrought Iron Doors' },
                    footer2: { detail: new URL("../../assets/img/Door/01/04.jpg", import.meta.url).href, name: 'Wrought Iron Doors' }
                }, {
                name: 'Steel Security Doors',
                top: { detail: new URL("../../assets/img/Door/02/01.jpg", import.meta.url).href, name: 'Steel Security Doors' },
                footer: { detail: new URL("../../assets/img/Door/02/02.jpg", import.meta.url).href, name: 'Steel Security Doors' },
                footer1: { detail: new URL("../../assets/img/Door/02/03.jpg", import.meta.url).href, name: 'Steel Security Doors' },
                footer2: { detail: new URL("../../assets/img/Door/02/04.jpg", import.meta.url).href, name: 'Steel Security Doors' }
            }, {
                name: 'Pivot Entrance Doors',
                top: { detail: new URL("../../assets/img/Door/03/01.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' },
                footer: { detail: new URL("../../assets/img/Door/03/02.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' },
                footer1: { detail: new URL("../../assets/img/Door/03/03.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' },
                footer2: { detail: new URL("../../assets/img/Door/03/04.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' }
            }, {
                name: 'Wooden Internal Doors',
                top: { detail: new URL("../../assets/img/Door/04/01.jpg", import.meta.url).href, name: 'Wooden Internal Doors' },
                footer: { detail: new URL("../../assets/img/Door/04/02.jpg", import.meta.url).href, name: 'Wooden Internal Doors' },
                footer1: { detail: new URL("../../assets/img/Door/04/03.jpg", import.meta.url).href, name: 'Wooden Internal Doors' },
                footer2: { detail: new URL("../../assets/img/Door/04/04.jpg", import.meta.url).href, name: 'Wooden Internal Doors' }
            }, {
                name: 'Fire Doors',
                top: { detail: new URL("../../assets/img/Door/05/01.jpg", import.meta.url).href, name: 'Fire Doors' },
                footer: { detail: new URL("../../assets/img/Door/05/02.jpg", import.meta.url).href, name: 'Fire Doors' },
                footer1: { detail: new URL("../../assets/img/Door/05/03.jpg", import.meta.url).href, name: 'Fire Doors' },
                footer2: { detail: new URL("../../assets/img/Door/05/04.jpg", import.meta.url).href, name: 'Fire Doors' }
            }, {
                name: 'Sliding Doors',
                top: { detail: new URL("../../assets/img/Door/06/01.jpg", import.meta.url).href, name: 'Sliding Doors' },
                footer: { detail: new URL("../../assets/img/Door/06/02.jpg", import.meta.url).href, name: 'Sliding Doors' },
                footer1: { detail: new URL("../../assets/img/Door/06/03.jpg", import.meta.url).href, name: 'Sliding Doors' },
                footer2: { detail: new URL("../../assets/img/Door/06/04.jpg", import.meta.url).href, name: 'Sliding Doors' }
            }, {
                name: 'Hanging Sliding Doors',
                top: { detail: new URL("../../assets/img/Door/07/01.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' },
                footer: { detail: new URL("../../assets/img/Door/07/02.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' },
                footer1: { detail: new URL("../../assets/img/Door/07/03.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' },
                footer2: { detail: new URL("../../assets/img/Door/07/04.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' }
            }, {
                name: 'Fold Sliding Doors',
                top: { detail: new URL("../../assets/img/Door/08/01.jpg", import.meta.url).href, name: 'Fold Sliding Doors' },
                footer: { detail: new URL("../../assets/img/Door/08/02.jpg", import.meta.url).href, name: 'Fold Sliding Doors' },
                footer1: { detail: new URL("../../assets/img/Door/08/03.jpg", import.meta.url).href, name: 'Fold Sliding Doors' },
                footer2: { detail: new URL("../../assets/img/Door/08/04.jpg", import.meta.url).href, name: 'Fold Sliding Doors' }
            },
            ),
            Cabinet: Array<any>(
                {
                    name: 'Kitchen Cabinet',
                    children: [
                        { detail: new URL("../../assets/img/Kitchen/02.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                        { detail: new URL("../../assets/img/Kitchen/03.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                        { detail: new URL("../../assets/img/Kitchen/04.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                    ]
                },
                {
                    name: 'Kitchen Sinks/Faucets',
                    children: [
                        { detail: new URL("../../assets/img/Kitchen/05.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                    ]
                }
            ),
            Products: Array<any>(
                {
                    name: 'Raillings&stairs',
                    position: '3',
                    banner1: { detail: new URL("../../assets/img/railling/01.jpg", import.meta.url).href, name: 'Raillings&stairs', title: 'Safety, Easy Install Railings and Stairs' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/railling/02.jpg", import.meta.url).href, name: 'Raillings&stairs' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/railling/icon01.png", import.meta.url).href, name: 'Safety', title: 'Safety' },
                        { detail: new URL("../../assets/img/railling/icon02.png", import.meta.url).href, name: 'Easy Install', title: 'Easy Install' },
                        { detail: new URL("../../assets/img/railling/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/railling/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'Railings',
                            message: {
                                title: 'Customized Railing',
                                Application: 'Application: Balcony, deck, stairs, bridge',
                                patiosMaterials: 'patiosMaterials: ASTM Standard Sus304,Sus316,Sus316L,and Sus2205',
                            },
                            banner: { detail: new URL('../../assets/img/railling/railing01.jpg', import.meta.url).href, name: 'railing' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/railling/railing02.jpg', import.meta.url).href, name: 'Frameless Glass Railing', title: 'Frameless Glass Railing' },
                                { detail: new URL('../../assets/img/railling/railing03.jpg', import.meta.url).href, name: 'Wrought Iron Railing', title: 'Wrought Iron Railing' },
                                { detail: new URL('../../assets/img/railling/railing04.jpg', import.meta.url).href, name: 'Cable Wire Railing', title: 'Cable Wire Railing' },
                                { detail: new URL('../../assets/img/railling/railing05.jpg', import.meta.url).href, name: 'Led Glass Railing', title: 'Led Glass Railing' },
                                { detail: new URL('../../assets/img/railling/railing06.jpg', import.meta.url).href, name: '304/316 Stainless Steel Railing', title: '304/316 Stainless Steel Railing' },
                                { detail: new URL('../../assets/img/railling/railing07.jpg', import.meta.url).href, name: 'PVC Railing', title: 'PVC Railing' },
                            )
                        },
                        {
                            name: 'Stairs',
                            message: {
                                title: 'Customized Staircase',
                                mintitle: 'Each product is a unique handmade boutique',
                                Styles: 'Styles: Straight Stairs, Spiral Stairs, Curved Stairs, LShape Stairs, U Shape Stairs, Bifurcated Stairs, Cantile-ver / Floating Stairs',
                            },
                            banner: { detail: new URL('../../assets/img/railling/stairs01.jpg', import.meta.url).href, name: 'stairs' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/railling/stairs02.jpg', import.meta.url).href, name: 'Spiral Stairs', title: 'Spiral Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs03.jpg', import.meta.url).href, name: 'Floating Stairs', title: 'Floating Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs04.jpg', import.meta.url).href, name: 'Mono Stringer', title: 'Mono Stringer' },
                                { detail: new URL('../../assets/img/railling/stairs05.jpg', import.meta.url).href, name: 'Double Beam Stairs', title: 'Double Beam Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs06.jpg', import.meta.url).href, name: 'Curved Stairs', title: 'Curved Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs07.jpg', import.meta.url).href, name: 'Customized Design', title: '' },
                            )
                        }
                    )
                },
                {
                    name: 'Sanitary Wares',
                    position: '6',
                    banner1: { detail: new URL("../../assets/img/sanitary/01.jpg", import.meta.url).href, name: 'Sanitary Wares', title: 'Your design of comfortable customized bathroom' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/sanitary/02.jpg", import.meta.url).href, name: 'Sanitary Wares' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/sanitary/icon01.png", import.meta.url).href, name: 'Comfortable', title: 'Comfortable' },
                        { detail: new URL("../../assets/img/sanitary/icon02.png", import.meta.url).href, name: 'Smart', title: 'Smart' },
                        { detail: new URL("../../assets/img/sanitary/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/sanitary/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'LED Mirror',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'LED Mirror' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/mirror/01.jpg', import.meta.url).href, name: 'Rectangle Bathroom LED Mirror', title: 'Rectangle Bathroom LED Mirror' },
                                { detail: new URL('../../assets/img/sanitary/mirror/02.jpg', import.meta.url).href, name: 'Round Bathroom LED Mirror', title: 'Round Bathroom LED Mirror' },
                            ),
                            others1: { detail: new URL('../../assets/img/sanitary/mirror/03.jpg', import.meta.url).href, name: 'Cute Shaped Bathroom LED Mirror', title: 'Cute Shaped Bathroom LED Mirror' },
                            others2: { detail: new URL('../../assets/img/sanitary/mirror/04.jpg', import.meta.url).href, name: 'LED Mirror Optional functions', title: 'LED Mirror Optional functions' }
                        },
                        {
                            name: 'Wooden Frame Mirror',
                            banner: { detail: new URL('../../assets/img/sanitary/wooden/bgc1.jpg', import.meta.url).href, name: 'Customized service in different shapes', title: 'Customized service in different shapes' },
                            banner2: { detail: new URL('../../assets/img/sanitary/wooden/bgc2.jpg', import.meta.url).href, name: 'Customized service in different shapes' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/wooden/01.jpg', import.meta.url).href, name: 'Rectangle Mirror', title: 'Rectangle Mirror' },
                                { detail: new URL('../../assets/img/sanitary/wooden/02.jpg', import.meta.url).href, name: 'Square Mirror', title: 'Square Mirror' },
                                { detail: new URL('../../assets/img/sanitary/wooden/03.jpg', import.meta.url).href, name: 'Irregular Shape Mirror', title: 'Irregular Shape Mirror' },
                            )
                        }, {
                        name: 'Faucets',
                        banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'More colors' },
                        banner1: { detail: new URL('../../assets/img/sanitary/Faucets/01.jpg', import.meta.url).href, name: 'Shower Faucet', title: 'Shower Faucet' },
                        banner2: { detail: new URL('../../assets/img/sanitary/Faucets/08.jpg', import.meta.url).href, name: 'Bathtub Faucet', title: 'Bathtub Faucet' },
                        others: Array<any>(
                            { detail: new URL('../../assets/img/sanitary/Faucets/02.jpg', import.meta.url).href, name: 'Single-Hole Basin Faucet', title: 'Single-Hole Basin Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/03.jpg', import.meta.url).href, name: 'Waterfall Basin Faucet', title: 'Waterfall Basin Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/04.jpg', import.meta.url).href, name: 'Sensor Faucet', title: 'Sensor Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/05.jpg', import.meta.url).href, name: 'Wall-Mounted Basin Faucet', title: 'Wall-Mounted Basin Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/06.jpg', import.meta.url).href, name: '8 Widespread Basin Faucet', title: '8 Widespread Basin Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/07.jpg', import.meta.url).href, name: '4 Centerset Basin Faucet', title: '4 Centerset Basin Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/09.jpg', import.meta.url).href, name: 'Bathtub Faucet', title: 'Bathtub Faucet' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/10.jpg', import.meta.url).href, name: 'Bathroom Accessories', title: 'Bathroom Accessories' },
                            { detail: new URL('../../assets/img/sanitary/Faucets/11.jpg', import.meta.url).href, name: 'Accessories', title: 'Accessories' },
                        ),
                        others2: {
                            title: 'More colors',
                            mintitle: 'can better match your house style',
                            children: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/Faucets/12.jpg', import.meta.url).href, name: 'colors', title: 'colors' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/13.jpg', import.meta.url).href, name: 'colors', title: 'colors' },
                            )
                        }
                    }
                    )
                }
            )
        }
    },

    actions: {

    },

    getters: {

    }
})

export default useHomeStore